Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class RecognitionExceptionList

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              antlr.ANTLRException
                  antlr.RecognitionException
                      de.grogra.grammar.RecognitionException
                          de.grogra.grammar.RecognitionExceptionList

All Implemented Interfaces:
  DetailedException, Disposable, UserException, java.io.Serializable, java.lang.Comparable<RecognitionException>

    public class RecognitionExceptionList

extends RecognitionException

This class manages a list of `RecognitionException`s.

Author:
  Ole Kniemeyer
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.grogra.grammar.RecognitionException
`IS_ERROR, MIN_UNUSED, warningBits`

Fields inherited from class antlr.RecognitionException
`column, fileName, line`

Constructor Summary
`RecognitionExceptionList()`
`RecognitionExceptionList(long warningMask, long errorMask)`

Method Summary
`void` | `add(RecognitionException e)`
`void` | `addAll(RecognitionException[] list)`
`void` | `addAll(RecognitionExceptionList list)`
`void` | `addLexicalError(I18NBundle bundle, java.lang.String key, antlr.collections.AST node)`
`void` | `addLexicalError(I18NBundle bundle, java.lang.String key, antlr.Token token)`
`void` | `addLexicalError(java.lang.String error, antlr.collections.AST node)`
`void` | `addLexicalError(java.lang.String error, antlr.Token token)`
`void` | `addLexicalWarning(I18NBundle bundle, java.lang.String key, antlr.collections.AST node)`
`void` | `addLexicalWarning(I18NBundle bundle, java.lang.String key, antlr.Token token)`
`void` | `addLexicalWarning(java.lang.String warning, antlr.collections.AST node)`
`void` | `addLexicalWarning(java.lang.String warning, antlr.Token token)`
`void` | `addSemanticError(I18NBundle bundle, java.lang.String key, antlr.collections.AST node)`
`void` | `addSemanticError(I18NBundle bundle, java.lang.String key, antlr.Token token)`
`void` | `addSemanticError(java.lang.String error, antlr.collections.AST node)`
`void` | `addSemanticError(java.lang.String error, antlr.Token token)`
`void` | `addSemanticWarning(I18NBundle bundle, java.lang.String key, antlr.collections.AST node)`
`void` | `addSemanticWarning(I18NBundle bundle, java.lang.String key, antlr.Token token)`
`void` | `addSemanticWarning(java.lang.String warning, antlr.collections.AST node)`
`void` | `addSemanticWarning(java.lang.String warning, antlr.Token token)`
`void` | `addSyntacticError(I18NBundle bundle, java.lang.String key, antlr.collections.AST node)`
`void` | `addSyntacticError(I18NBundle bundle, java.lang.String key, antlr.Token token)`
`void` | `addSyntacticError(java.lang.String error, antlr.collections.AST node)`
`void` | `addSyntacticError(java.lang.String error, antlr.Token token)`
`void` | `addSyntacticWarning(I18NBundle bundle, java.lang.String key, antlr.collections.AST node)`
`void` | `addSyntacticWarning(I18NBundle bundle, java.lang.String key, antlr.Token token)`
`void` | `addSyntacticWarning(java.lang.String warning, antlr.collections.AST node)`
`void` | `addSyntacticWarning(java.lang.String warning, antlr.Token token)`
`void` | `addWarning(RecognitionException warning)`
`void` | `addWarning(RecognitionException warning, long warningBits)`
`void` | `check()`
`boolean` | `containsErrors()`
`boolean` | `containsWarnings()`
`void` | `disableAdd()` Disables the addition of exceptions to this list.
`void` | `dispose()`
`RecognitionExceptionList` | `enableAdd()` Enables the addition of exceptions.
`java.lang.String` | `getDetailedMessage(int firstLine, int firstColumn, int tabWidth, boolean html)`
`int` | `getErrorCount()`
`java.lang.String` | `getMessage()`
`boolean` | `isAddEnabled()`
`boolean` | `isEmpty()`
`boolean` | `isWarning(long bits)`
`void` | `reset()`

Methods inherited from class de.grogra.grammar.RecognitionException
`compareTo, complete, convert, getCategoryDescription, getColumn, getDetailedMessage, getLine, isError, set, set, set, set, set`

Methods inherited from class antlr.RecognitionException
`getErrorMessage, getFilename, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecognitionExceptionList

    public RecognitionExceptionList()

### RecognitionExceptionList

    public RecognitionExceptionList(long warningMask,
                                    long errorMask)

Method Detail

### add

    public void add(RecognitionException e)

### addAll

    public void addAll(RecognitionException[] list)

### addAll

    public void addAll(RecognitionExceptionList list)

### addLexicalError

    public void addLexicalError(I18NBundle bundle,
                                java.lang.String key,
                                antlr.collections.AST node)

### addLexicalError

    public void addLexicalError(I18NBundle bundle,
                                java.lang.String key,
                                antlr.Token token)

### addLexicalError

    public void addLexicalError(java.lang.String error,
                                antlr.collections.AST node)

### addLexicalError

    public void addLexicalError(java.lang.String error,
                                antlr.Token token)

### addLexicalWarning

    public void addLexicalWarning(I18NBundle bundle,
                                  java.lang.String key,
                                  antlr.collections.AST node)

### addLexicalWarning

    public void addLexicalWarning(I18NBundle bundle,
                                  java.lang.String key,
                                  antlr.Token token)

### addLexicalWarning

    public void addLexicalWarning(java.lang.String warning,
                                  antlr.collections.AST node)

### addLexicalWarning

    public void addLexicalWarning(java.lang.String warning,
                                  antlr.Token token)

### addSemanticError

    public void addSemanticError(I18NBundle bundle,
                                 java.lang.String key,
                                 antlr.collections.AST node)

### addSemanticError

    public void addSemanticError(I18NBundle bundle,
                                 java.lang.String key,
                                 antlr.Token token)

### addSemanticError

    public void addSemanticError(java.lang.String error,
                                 antlr.collections.AST node)

### addSemanticError

    public void addSemanticError(java.lang.String error,
                                 antlr.Token token)

### addSemanticWarning

    public void addSemanticWarning(I18NBundle bundle,
                                   java.lang.String key,
                                   antlr.collections.AST node)

### addSemanticWarning

    public void addSemanticWarning(I18NBundle bundle,
                                   java.lang.String key,
                                   antlr.Token token)

### addSemanticWarning

    public void addSemanticWarning(java.lang.String warning,
                                   antlr.collections.AST node)

### addSemanticWarning

    public void addSemanticWarning(java.lang.String warning,
                                   antlr.Token token)

### addSyntacticError

    public void addSyntacticError(I18NBundle bundle,
                                  java.lang.String key,
                                  antlr.collections.AST node)

### addSyntacticError

    public void addSyntacticError(I18NBundle bundle,
                                  java.lang.String key,
                                  antlr.Token token)

### addSyntacticError

    public void addSyntacticError(java.lang.String error,
                                  antlr.collections.AST node)

### addSyntacticError

    public void addSyntacticError(java.lang.String error,
                                  antlr.Token token)

### addSyntacticWarning

    public void addSyntacticWarning(I18NBundle bundle,
                                    java.lang.String key,
                                    antlr.collections.AST node)

### addSyntacticWarning

    public void addSyntacticWarning(I18NBundle bundle,
                                    java.lang.String key,
                                    antlr.Token token)

### addSyntacticWarning

    public void addSyntacticWarning(java.lang.String warning,
                                    antlr.collections.AST node)

### addSyntacticWarning

    public void addSyntacticWarning(java.lang.String warning,
                                    antlr.Token token)

### addWarning

    public void addWarning(RecognitionException warning)

### addWarning

    public void addWarning(RecognitionException warning,
                           long warningBits)

### check

    public void check()
               throws RecognitionExceptionList

  Throws:
    `RecognitionExceptionList`

### containsErrors

    public boolean containsErrors()

### containsWarnings

    public boolean containsWarnings()

### disableAdd

    public void disableAdd()

  Disables the addition of exceptions to this list. Pairs of `disableAdd` and `enableAdd` may be nested.

  See Also:
    `enableAdd()`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `RecognitionException`

### enableAdd

    public RecognitionExceptionList enableAdd()

  Enables the addition of exceptions. `disableAdd` must have been invoked previously. This method returns those exceptions which would have been added between the corresponding invocation of `disableAdd` and this invocation, but were not due to `disableAdd`.

  Returns:
    list of suppressed exceptions (never `null`, but the length may be 0)

### getDetailedMessage

    public java.lang.String getDetailedMessage(int firstLine,
                                               int firstColumn,
                                               int tabWidth,
                                               boolean html)

  Overrides:
    `getDetailedMessage` in class `RecognitionException`

### getErrorCount

    public int getErrorCount()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### isAddEnabled

    public boolean isAddEnabled()

### isEmpty

    public boolean isEmpty()

### isWarning

    public boolean isWarning(long bits)

### reset

    public void reset()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD